- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QPSQLResult Class Reference

Search for all occurrences

## Detailed Description

Definition at line 66 of file qsql_psql.h.

`#include <qsql_psql.h>`

Inheritance diagram for QPSQLResult:
[legend]

List of all members.

## Public Member Functions
| QPSQLResult (const QPSQLDriver *db, const QPSQLDriverPrivate *p)
| ~QPSQLResult ()
QVariant | handle () const
void | virtual_hook (int id, void *data)
## Protected Member Functions
void | cleanup ()
bool | fetch (int i)
bool | fetchFirst ()
bool | fetchLast ()
QVariant | data (int i)
bool | isNull (int field)
bool | reset (const QString &query)
int | size ()
int | numRowsAffected ()
QSqlRecord | record () const
QVariant | lastInsertId () const
bool | prepare (const QString &query)
bool | exec ()
## Friends
class | QPSQLResultPrivate

## Constructor & Destructor Documentation

QPSQLResult | ( | const QPSQLDriver * | db,
|  | const QPSQLDriverPrivate * | p
| ) |  |

~QPSQLResult | ( |  | ) |

## Member Function Documentation

QVariant handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

void virtual_hook | ( | int | id,
|  | void * | data
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

void cleanup | ( |  | ) | `[protected]`

Search for all occurrences

bool fetch | ( | int | i | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchFirst | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchLast | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

QVariant data | ( | int | i | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool isNull | ( | int | field | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool reset | ( | const QString & | query | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int size | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int numRowsAffected | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

QSqlRecord record | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

QVariant lastInsertId | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool prepare | ( | const QString & | query | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool exec | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

## Friends And Related Function Documentation

friend class QPSQLResultPrivate `[friend]`

Search for all occurrences

Definition at line 68 of file qsql_psql.h.

The documentation for this class was generated from the following file:

- QtSql/qsql_psql.h

QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult
QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult QPSQLResult